#
# spec file for package python-sphinxcontrib-docbookrestapi
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-sphinxcontrib-docbookrestapi
Version:        0.2.1
Release:        2.3
Summary:        Extension to Sphinx for generating REST API documentation
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://git.openstack.org/cgit/stackforge/sphinxcontrib-docbookrestapi/
Source:         https://pypi.python.org/packages/source/s/sphinxcontrib-docbookrestapi/sphinxcontrib-docbookrestapi-%{version}.tar.gz
# PATCH-FIX-UPSTREAM speilicke@suse.com -- https://review.openstack.org/#/c/84132/
Patch0:         0001-Properly-declare-namespace-package.patch
BuildRequires:  openstack-suse-macros
BuildRequires:  python-devel
BuildRequires:  python-pbr
Requires:       python-Sphinx
Requires:       python-pytidylib6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description

Extension to Sphinx for generating REST API documentation for http://api.openstack.org/

%prep
%setup -q -n sphinxcontrib-docbookrestapi-%{version}
%patch0 -p1

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE ChangeLog README.rst
%{python2_sitelib}/*

%changelog
* Wed Jul 29 2015 tbechtold@suse.com
- Unify spec file. Use fedora compatible files macros
* Wed Sep  3 2014 dmueller@suse.com
- update to 0.2.1:
  * Bump to 0.2.1
  * add venv to tox.ini
  * Bump to 0.2
  * Add the Python 3 classifiers in setup.cfg
  * Declare sphinxcontrib.docbookrestapi package
  * Properly declare namespace package
  * Properly document the enumeration type
  * Allow foo_name as well as foo_id in paths
  * Remove 'xmlns' attribute of 'param' elements
  * Use 'para' elements instead of 'p' ones
  * Add the top-level comment that is now mandatory in WADL files
  * Add an XML declaration in the output
  * Use 'wadl:doc' instead of 'doc' and fix its attributes
  * Add a mandatory 'id' attribute to 'resource' elements
  * Removes whitespaces at the end of self-closing tags
  * Sync with global requirements
  * Add tests
  * Python 3 compatibility
  * Fix the code to work with Python2.6
  * tox.ini: clean the pep8 target
* Mon Mar 31 2014 speilicke@suse.com
- Add 0001-Properly-declare-namespace-package.patch: Fix build
  with setuptools>0.7
* Wed Jan  8 2014 speilicke@suse.com
- Update to version 0.1+git.1386695359.8b44f51:
  + Python 3 compatibility
  + Fix the code to work with Python2.6
  + tox.ini: clean the pep8 target
  + Allow complex types for parameters
  + Fix the generate_id function with PUT methods
  + Add .gitreview file
  + Wrap lines in the generated WADL file
  + Generated human-readable method ids and titles
- Move to _service using tar_scm and python_sdist
* Wed Jan  8 2014 speilicke@suse.com
- Initial version
